igeo.io

## Class IRhino3dm.Texture

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Texture

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.Texture
      extends IRhino3dm.RhinoObject

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IRhino3dm.Texture.Filter`
    `static class` | `IRhino3dm.Texture.MappingChannel`
    `static class` | `IRhino3dm.Texture.Mode`
    `static class` | `IRhino3dm.Texture.Type`
    `static class` | `IRhino3dm.Texture.Wrap`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `applyUVW`
    `double[]` | `blendA`
    `double` | `blendConstantA`
    `double` | `blendConstantRGB`
    `int` | `blendOrder`
    `double[]` | `blendRGB`
    `IColor` | `borderColor`
    `IRhino3dm.Interval` | `bumpScale`
    `java.lang.String` | `filename`
    `boolean` | `filenameRelativePath`
    `IRhino3dm.Texture.Filter` | `magFilter`
    `int` | `mappingChannelId`
    `IRhino3dm.Texture.Filter` | `minFilter`
    `IRhino3dm.Texture.Mode` | `mode`
    `boolean` | `on`
    `IRhino3dm.UUID` | `textureId`
    `IRhino3dm.UUID` | `transparencyTextureId`
    `IColor` | `transparentColor`
    `IRhino3dm.Texture.Type` | `type`
    `static java.lang.String` | `uuid`
    `IRhino3dm.Xform` | `uvw`
    `IRhino3dm.Texture.Wrap` | `wrapU`
    `IRhino3dm.Texture.Wrap` | `wrapV`
    `IRhino3dm.Texture.Wrap` | `wrapW`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Texture()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IRhino3dm.UUID` | `getClassUUID()`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `createIObject, getType, read, read, setAttributes, setAttributesToIObject, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### textureId

          public IRhino3dm.UUID textureId

    - #### mappingChannelId

          public int mappingChannelId

    - #### filename

          public java.lang.String filename

    - #### filenameRelativePath

          public boolean filenameRelativePath

    - #### on

          public boolean on

    - #### type

          public IRhino3dm.Texture.Type type

    - #### mode

          public IRhino3dm.Texture.Mode mode

    - #### minFilter

          public IRhino3dm.Texture.Filter minFilter

    - #### magFilter

          public IRhino3dm.Texture.Filter magFilter

    - #### wrapU

          public IRhino3dm.Texture.Wrap wrapU

    - #### wrapV

          public IRhino3dm.Texture.Wrap wrapV

    - #### wrapW

          public IRhino3dm.Texture.Wrap wrapW

    - #### applyUVW

          public boolean applyUVW

    - #### uvw

          public IRhino3dm.Xform uvw

    - #### borderColor

          public IColor borderColor

    - #### transparentColor

          public IColor transparentColor

    - #### transparencyTextureId

          public IRhino3dm.UUID transparencyTextureId

    - #### bumpScale

          public IRhino3dm.Interval bumpScale

    - #### blendConstantA

          public double blendConstantA

    - #### blendA

          public double[] blendA

    - #### blendConstantRGB

          public double blendConstantRGB

    - #### blendRGB

          public double[] blendRGB

    - #### blendOrder

          public int blendOrder

  - ### Constructor Detail

    - #### Texture

          public Texture()

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.RhinoObject`